# Created by pyp2rpm-3.3.7
%global pypi_name casttube

Name:           python-%{pypi_name}
Version:        0.2.1
Release:        %mkrel 1
Summary:        YouTube chromecast api
Group:          Development/Python
License:        MIT
URL:            http://github.com/ur1katz/casttube
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
CastTube provides a way to interact with the Youtube Chromecast api.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(requests)

%description -n python3-%{pypi_name}
CastTube provides a way to interact with the Youtube Chromecast api.


%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install

rm -rf %{buildroot}%{_prefix}/LICENSE

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Sat May 14 2022 wally <wally> 0.2.1-1.mga9
+ Revision: 1858081
- imported package python-casttube

